const express= require("express");

const {  CakeModel } = require("../models/cakeModel");
const router = express.Router();

// http://localhost:3002/cakes?page=3&perPage=99999&sort=name
router.get("/", async(req,res) => {
  let perPage = req.query.perPage ? Math.min( req.query.perPage,10) : 5;
  let page = req.query.page ? req.query.page-1 : 0; 
  let sort = req.query.sort || "_id";
  try{
    let data = await CakeModel
    .find({})
    .limit(perPage)
    .skip(page * perPage)
    .sort({[sort]:1})
    res.json(data);
  }
  catch(err){
    console.log(err);
    res.status(500).json({msg_err:"There problem in server try again later"})
  }
})

module.exports = router;